import React, { Suspense } from 'react';
import { Route, Routes } from 'react-router-dom';
import Mainlayout from './layouts/Mainlayout';
import KnowledgeBase from './pages/KnowledgeBase/KnowledgeBase';
import Loading from './components/Loading';

function AppRouter() {
    return (
        // <Suspense fallback={<Loading />}>
        <Routes>
            <Route
                path='/'
                element={
                    <Mainlayout>
                        <KnowledgeBase />
                    </Mainlayout>
                }
            />
        </Routes>
        // </Suspense>
    );
}
export default AppRouter;
